APT-CACHE(8)

NAME
apt-cache - den APT-Zwischenspeicher abfragen

ÜBERSICHT

apt-cache [-agipns] [-o=Konfigurationszeichenkette] [-c=Konfigurationsdatei] {gencaches | showpkg Paket... | showsrc Paket... | stats | dump | dumpavail | unmet | search regulärer_Ausdruck... | show Paket [{=Paketversionsnummer | /Ziel-Release}]... | depends Paket [{=Paketversionsnummer | /Ziel-Release}]... | rdepends Paket [{=Paketversionsnummer | /Ziel-Release}]... | pkgnames [Präfix] | dotty Paket [{=Paketversionsnummer | /Ziel-Release}]... | xvcg Paket [{=Paketversionsnummer | /Ziel-Release}]... | policy [Paket...] | madison Paket... | {-v | --version} | {-h | --help}}

BESCHREIBUNG

apt-cache führt eine Vielzahl von Aktionen auf dem Paketzwischenspeicher von APT durch. apt-cache verändert nicht den Status des Systems, stellt aber Aktionen zum Suchen und Erzeugen von interessanten Ausgaben der Paket-Metadaten bereit. Die Metadaten werden mittels des Befehls »update« z.B. von apt-get beschafft und aktualisiert, so dass sie veraltet sein können, falls die letzte Aktualisierung zu lange her ist. Im Gegenzug funktioniert apt-cache unabhängig davon, ob die konfigurierten Quellen verfügbar sind (z.B. offline).

Sofern nicht die -h-, oder --help-Option angegeben ist, muss einer der nachfolgend aufgeführten Befehle vorkommen.

gencaches
    gencaches erzeugt den Paketzwischenspeicher von APT. Dies wird implizit durch alle Befehle erledigt, die diesen Zwischenspeicher benötigen, falls er fehlt oder veraltet ist.

showpkg Paket...
    showpkg zeigt Informationen über die auf der Befehlszeile aufgelisteten Pakete. Die übrigen Argumente sind Paketnamen. Die verfügbaren Versionen und Rückwärtsabhängigkeiten jedes aufgeführten Paketes werden ebenso aufgelistet, wie die Vorwärtsabhängigkeiten jeder Version. Vorwärtsabhängigkeiten (normale Abhängigkeiten) sind jene Pakete, von denen das betreffende Paket abhängt. Rückwärtsabhängigkeiten sind jene Pakete, die von dem betreffenden Paket abhängen. Deshalb müssen Vorwärtsabhängigkeiten für das Paket erfüllt werden, Rückwärtsabhängigkeiten allerdings nicht. apt-cache showpkg libreadline2 würde zum Beispiel eine Ausgabe ähnlich der folgenden erzeugen:

        Package: libreadline2
        Versions: 2.1-12(/var/state/apt/lists/foo_Packages),
        Reverse Depends:
          libreadlineg2,libreadline2
          libreadline2-altdev,libreadline2
        Dependencies:
        2.1-12 - libc5 (2 5.4.0-0) ncurses3.0 (0 (null))
        Provides:
        2.1-12 -
        Reverse Provides:
    Dadurch wird sichtbar, dass libreadline2, Version 2.1-12, von libc5 und ncurses3.0 abhängt, die installiert sein müssen, damit libreadline2 funktioniert. libreadlineg2 und libreadline2-altdev hängen wiederum von libreadline2 ab. Wenn libreadline2 installiert ist, müssen außerdem libc5 und ncurses3.0 (und ldso) installiert sein, libreadlineg2 und libreadline2-altdev nicht. Für die spezielle Bedeutung der restlichen Ausgabe ist es am besten, den APT-Quelltext zu konsultieren.

stats
    stats zeigt einige Statistiken über den Zwischenspeicher. Es werden keine weiteren Argumente erwartet. Berichtete Statistiken sind:

        • Gesamtzahl der Paketnamen ist die Gesamtzahl der im Zwischenspeicher gefundenen Pakete.

        • Gewöhnliche Pakete ist die Anzahl der regulären, gewöhnlichen Paketnamen. Diese sind Pakete, die eine Eins-zu-Eins-Entsprechung zwischen ihren Namen und den Namen, die andere Pakete für ihre Abhängigkeiten benutzen, tragen. Die Mehrzahl der Pakete fällt in diese Kategorie.

        • Rein virtuelle Pakete ist die Anzahl der Pakete, die nur als ein virtueller Paketname existieren. Das kommt vor, wenn Pakete nur den virtuellen Paketnamen »bereitstellen« und aktuell kein Paket den Namen benutzt. Zum Beispiel ist im Debian-GNU/Linux-System »mail-transport-agent« ein rein virtuelles Paket. Mehrere Pakete stellen »mail-transport-agent« bereit, aber es gibt kein Paket mit dem Namen »mail-transport-agent«.

        • Eeinzelne virtuelle Pakete ist die Anzahl der Pakete mit nur einem Paket, das ein bestimmtes virtuelles Paket bereitstellt. »X11-text-viewer« ist zum Beispiel im Debian-GNU/Linux-System ein virtuelles Paket, aber nur ein Paket, xless, stellt »X11-text-viewer« bereit.

        • Gemischte virtuelle Pakete ist die Anzahl der Pakete, die entweder ein bestimmtes virtuelles Paket bereitstellen oder den virtuellen Paketnamen als Paketnamen haben. »debconf« ist zum Beispiel sowohl ein tatsächliches Paket, wird aber auch vom Paket debconf-tiny bereitgestellt.

        • Fehlend ist die Anzahl der Paketnamen, auf die eine Abhängigkeit verweist, die aber von keinem Paket bereitgestellt wird. Fehlende Pakete könnten auftauchen, wenn nicht auf eine vollständige Distribution zugegriffen oder ein (echtes oder virtuelles) Paket aus einer Distribution entfernt wurde. Normalerweise wird auf sie von Conflicts oder Breaks-Angaben Bezug genommen.

        • Gesamtzahl an unterschiedlichen Versionen ist die Anzahl der im Zwischenspeicher gefundenen Paketversionen. Wenn auf mehr als eine Distribution zugegriffen wird (zum Beispiel Stable und Unstable), kann dieser Wert deutlich größer als die gesamte Anzahl der Paketnamen sein.

        • Gesamtzahl an Abhängigkeiten ist die Anzahl der Abhängigkeitsbeziehungen, den alle Pakete im Zwischenspeicher beanspruchen.

showsrc Paket...
    showsrc zeigt alle Quellpaketdatensätze, die den angegebenen Paketnamen entsprechen. Alle Versionen werden ebenso angezeigt, wie alle Datensätze, die den Namen für ein Binärpaket angeben. Verwenden Sie die Option --only-source, um nur Quellpaketnamen anzuzeigen.

dump
    dump zeigt eine kurze Programmauflistung von jedem Paket im Zwischenspeicher. Es dient in erster Linie der Fehlersuche.

dumpavail
    dumpavail gibt eine Liste der verfügbaren Pakete auf der Standardausgabe aus. Dies ist für die Benutzung mit dpkg(1) geeignet und wird von der dselect(1)-Methode benutzt.

unmet
    unmet zeigt die Zusammenfassung aller unerfüllten Abhängigkeiten im Paketzwischenspeicher.

show Paket...
    show führt eine Funktion aus, die dpkg --print-avail ähnlich ist. Es zeigt die Paketdatensätze für die genannten Pakete.

search regulärer_Ausdruck...
    search führt eine Volltextsuche in der Liste aller verfügbaren Pakete für das angegebene reguläre Muster gemäß POSIX durch, siehe regex(7). Es durchsucht die Paketnamen und die Beschreibungen nach einem Vorkommen des regulären Ausdrucks und gibt den Paketnamen mit einer kurzen Beschreibung, einschließlich virtueller Paketnamen, aus. Wenn --full angegeben wurde, ist die Ausgabe gleich der, die show für jedes passende Paket erzeugt. Wenn --names-only angegeben wurde, wird die lange Beschreibung nicht durchsucht, sondern nur der Paketname und die bereitgestellten Pakete.

    Separate Argumente können benutzt werden, um mehrere Suchmuster anzugeben, die »und«-verknüpft werden.

depends Paket...
    depends zeigt eine Liste von jeder Abhängigkeit, die ein Paket hat und alle möglichen anderen Pakete, die die Abhängigkeit erfüllen können.

rdepends Paket...
    rdepends zeigt eine Liste von jeder Rückwärtsabhängigkeit, die ein Paket hat.

pkgnames [Präfix]
    Dieser Befehl gibt den Namen jedes Paketes aus, das APT kennt. Das optionale Argument ist ein passendes Präfix, um die Namensliste zu filtern. Die Ausgabe ist für die Benutzung in der Tabulatorvervollständigung in der Shell geeignet. Die Ausgabe wird extrem schnell generiert. Dieser Befehl wird am besten mit der --generate-Option benutzt.

    Beachten Sie, dass ein Paket, das APT kennt, nicht notwendigerweise zum Herunterladen verfügbar, installierbar oder installiert ist, virtuelle Pakete sind z.B. auch in der generierten Liste aufgeführt.

dotty Paket...
    dotty nimmt eine Paketliste auf der Befehlszeile entgegen und generiert eine Ausgabe, die für die Benutzung durch dotty aus dem Paket GraphViz[1] geeignet ist. Das Ergebnis ist eine Zusammenstellung von Knoten und Kanten, die die Beziehung zwischen Paketen darstellen. Standardmäßig werden alle abhängigen Pakete ausfindig gemacht. Dies kann zu einem sehr großen Schaubild führen. Um die Ausgabe auf die Pakete zu beschränken, die auf der Befehlszeile eingegeben wurden, setzen Sie die Option APT::Cache::GivenOnly.

    Die resultierenden Knoten haben mehrere Formen: Normale Pakete sind Kästchen, rein virtuelle Pakete sind Dreiecke, gemischt virtuelle Pakete sind Rauten, fehlende Pakete sind Sechsecke. Orange Kästchen bedeuten, dass die Rekursion beendet wurde (Pakete auf Blättern), blaue Linien sind Vorabhängigkeiten, grüne Linien sind Konflikte.

    Vorsicht, dotty kann keine größeren Zusammenstellungen von Paketen grafisch darstellen.

xvcg Paket...
    Das gleiche wie dotty, nur für xvcg vom VCG-Werkzeug[2].

policy [Paket...]
    policy ist dazu gedacht, bei Fragen der Fehlersuche, die sich auf die Einstellungsdatei beziehen, zu helfen. Ohne Argumente gibt es die Prioritäten von jeder Quelle aus. Ansonsten gibt es umfangreiche Informationen über die Prioritätenauswahl der genannten Pakete aus.

madison Paket...
    apt-caches madison-Befehl versucht, das Ausgabeformat und eine Untermenge der Funktionalität des Debian-Archivververwaltungswerkzeuges madison nachzuahmen. Es zeigt verfügbare Versionen eines Pakets in Tabellenform. Anders als das eigentliche madison kann es nur Informationen für die Architektur anzeigen, für die APT Paketlisten heruntergeladen hat (APT::Architecture).

OPTIONEN

Alle Befehlszeilenoptionen können durch die Konfigurationsdatei gesetzt werden, die Beschreibung gibt die zu setzende Option an. Für boolesche Optionen können Sie die Konfigurationsdatei außer Kraft setzen, indem Sie etwas der Art -f-, --no-f, -f=no oder etliche weitere Varianten benutzen.

-p, --pkg-cache
    wählt die Datei zum Speichern des Paketzwischenspeichers. Der Paketzwischenspeicher ist der primäre Zwischenspeicher, der von allen Aktionen benutzt wird. Konfigurationselement: Dir::Cache::pkgcache.

-s, --src-cache
    wählt die Datei zum Speichern des Quellenzwischenspeichers. Die Quelle wird nur von gencaches benutzt und sie speichert eine ausgewertete Version der Paketinformationen von entfernt liegenden Quellen. Wenn der Paketzwischenspeicher gebildet wird, wird der Quellenzwischenspeicher benutzt, um ein erneutes Auswerten aller Paketdateien zu vermeiden. Konfigurationselement: Dir::Cache::srcpkgcache.

-q, --quiet
    still; erzeugt eine Ausgabe, die für Protokollierung geeignet ist und Fortschrittsanzeiger weglässt. Mehr »q«s unterdrücken mehr Ausgaben, bis zu einem Maximum von 2. Sie können außerdem -q=# benutzen, um die Stillestufe zu setzen, was die Konfigurationsdatei außer Kraft setzt. Konfigurationselement: quiet.

-i, --important
    nur wichtige Abhängigkeiten ausgeben. Zur Benutzung mit unmet und depends. Veranlasst, dass nur Depends- und Pre-Depends-Beziehungen ausgegeben werden. Konfigurationselement: APT::Cache::Important.

--no-pre-depends, --no-depends, --no-recommends, --no-suggests, --no-conflicts, --no-breaks, --no-replaces, --no-enhances
    Standardmäßig geben depends und rdepends alle Abhängigkeiten aus. Dies kann mit diesen Schaltern optimiert werden, die den angegebenen Abhängigkeitstyp weglassen. Konfigurationselement: APT::Cache::ShowAbhängigkeitstyp z.B. APT::Cache::ShowRecommends.

--implicit
    Standardmäßig geben depends und rdepends nur Abhängigkeiten aus, die explizit in den Metadaten angegeben werden. Mit diesem Schalter werden auch Abhängigkeiten angezeigt, die implizit basierend auf den vorgefundenen Daten hinzugefügt werden. Ein Conflicts: foo sagt z.B. implizit, dass dieses Paket auch einen Konflikt mit dem Paket »foo« von jeder anderen Architektur hat. Konfigurationselement: APT::Cache::ShowImplicit.

-f, --full
    gibt die vollständigen Paketdatensätze beim Suchen aus. Konfigurationselement: APT::Cache::ShowFull.

-a, --all-versions
    gibt die vollständigen Datensätze für alle verfügbaren Versionen aus. Dies ist die Vorgabe. Um sie auszuschalten, benutzen Sie --no-all-versions. Wenn --no-all-versions angegeben ist, wird nur die Anwärterversion angezeigt (die, die zur Installation ausgewählt würde). Diese Option ist nur für den show-Befehl anwendbar. Konfigurationselement: APT::Cache::AllVersions.

-g, --generate
    führt das Neuerstellen des Paketzwischenspeichers aus, anstatt den Zwischenspeicher so zu benutzen, wie er ist. Das ist die Vorgabe. Um sie auszuschalten, benutzen Sie --no-generate. Konfigurationselement: APT::Cache::Generate.

--names-only, -n
    durchsucht nur das Paket und die bereitgestellten Paketnamen, nicht die Langbeschreibungen. Konfigurationselement: APT::Cache::NamesOnly.

--all-names
    lässt pkgnames alle Namen, einschließlich virtueller Pakete und fehlender Abhängigkeiten, ausgeben. Konfigurationselement: APT::Cache::AllNames.

--recurse
    macht depends und rdepends rekursiv, so dass alle erwähnten Pakete einmal ausgegeben werden. Konfigurationselement: APT::Cache::RecurseDepends.

--installed
    begrenzt die Ausgabe von depends und rdepends auf Pakete, die aktuell installiert sind. Konfigurationselement: APT::Cache::Installed.

--with-source Dateiname
    fügt die angegebene Datei als Quelle für Metadaten hinzu. Dies kann wiederholt werden, um mehrere Dateien hinzuzufügen. Unterstützt werden derzeit *.deb-, *.dsc-, *.changes-, Sources- und Packages-Dateien sowie Quellpaketverzeichnisse. Dateien werden nur basierend auf ihren Dateinamen abgeglichen, nicht auf ihrem Inhalt!

    Sources und Packages können in jedes von APT unterstützte Format komprimiert werden, so lange sie die korrekte Erweiterung haben. Falls Sie mehrere dieser Dateien in einem Verzeichnis speichern müssen, können Sie einen Namen Ihrer Wahl, bei dem das letzte Zeichen ein Unterstrich (»_«) ist, voranstellen. Beispiel: mein.beispiel_Packages.xz

    Beachten Sie, dass diese Quellen als vertrauenswürdig angesehen werden (siehe apt-secure(8)). Konfigurationselement: APT::Sources::With.

-h, --help
    eine kurze Aufrufzusammenfassung zeigen

-v, --version
    die Version des Programms anzeigen

--audit
    Audit- (und Hinweis-)Meldungen anzeigen. Dies setzt die Option »quite« außer Kraft, aber nur für Hinweismeldungen, nicht für Fortschrittsmeldungen.

-c, --config-file
    Konfigurationsdatei; hiermit wird die zu verwendende Konfigurationssdatei angegeben. Das Programm wird die Vorgabe-Konfigurationsdatei und dann diese Konfigurationsdatei lesen. Falls Konfigurationseinstellungen vor der Vorgabe-Konfiguration ausgewertet werden müssen, geben Sie eine Datei in der Umgebungsvariable APT_CONFIG an. Lesen Sie apt.conf(5), um Syntax-Informationen zu erhalten.

-o, --option
    eine Konfigurationsoption setzen; hiermit wird eine beliebige Konfigurationsoption gesetzt. Die Syntax lautet -o Foo::Bar=bar. -o und --option kann mehrfach benutzt werden, um verschiedene Optionen zu setzen.

--no-color, --color
    Farben ein- oder ausschalten. Auf unterstützten Terminals sind Farben für apt(8) standardmäßig eingeschaltet und können auch mit den Umgebungsvariablen NO_COLOR oder APT_NO_COLOR ausgeschaltet werden, oder weiter mittels der Konfigurationsoption und -geltungsbereich APT::Color konfiguriert werden, siehe apt.conf(5) für Informationen hierzu.

DATEIEN

/etc/apt/sources.list
    Orte, von denen Pakete geladen werden. Konfigurationselement: Dir::Etc::SourceList.

/etc/apt/sources.list.d/
    Dateifragmente für Orte, von denen Pakete geladen werden. Konfigurationselement: Dir::Etc::SourceParts.

/var/lib/apt/lists/
    Speicherbereich für Statusinformationen jeder in sources.list(5) angegebenen Paketquelle Konfigurationselement: Dir::State::Lists.

/var/lib/apt/lists/partial/
    Speicherbereich für Statusinformationen auf dem Transportweg. Konfigurationselement: Dir::State::Lists (partial wird implizit angehängt)

SIEHE AUCH

apt.conf(5), sources.list(5), apt-get(8), apt-patterns(7)

DIAGNOSE

apt-cache gibt bei normalen Aktionen 0 zurück, dezimal 100 bei Fehlern.

FEHLER

APT-Fehlerseite[3]. Wenn Sie einen Fehler in APT berichten möchten, lesen Sie bitte /usr/share/doc/debian/bug-reporting.txt oder den reportbug(1)-Befehl. Verfassen Sie Fehlerberichte bitte auf Englisch.

ÜBERSETZUNG

Die deutsche Übersetzung wurde 2009ff. von Chris Leick <c.leick@vollbio.de> sowie 2025 von Helge Kreutzmann <debian@helgefjell.de> in Zusammenarbeit mit dem deutschen l10n-Team von Debian <debian-l10n-german@lists.debian.org> angefertigt.

Beachten Sie, dass diese Übersetzung Teile enthalten kann, die nicht übersetzt wurden. Dies ist so, damit kein Inhalt verloren geht, wenn die Übersetzung hinter dem Originalinhalt hinterherhängt.

AUTOREN

Jason Gunthorpe

APT-Team

FUßNOTEN

1.  GraphViz
    https://graphviz.org/

2.  VCG-Werkzeug
    https://www.rw.cdl.uni-saarland.de/people/sander/private/html/gsvcg1.html

3.  APT-Fehlerseite
    https://bugs.debian.org/src:apt